using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI.Widgets;
using System.IO;
using System.Collections;
using System.Collections.Generic;
using System.Net;

namespace CustomFileBrowserNameSpace
{
	public class FileExplorerProvider : FileSystemContentProvider
	{
		public FileExplorerProvider(HttpContext context, string[] searchPatterns,
		   string[] viewPaths, string[] uploadPaths, string[] deletePaths, string selectedUrl,
		   string selectedItemTag)
			:
			base(context, searchPatterns, viewPaths, uploadPaths, deletePaths, selectedUrl, selectedItemTag)
		{

		}

		public override string StoreFile(Telerik.Web.UI.UploadedFile file, string path, string name, params string[] arguments)
		{
			string tt = file.ContentType;
			if (file.ContentType == "image/pjpeg") 
			{
				return base.StoreFile(file, path, name, arguments);
			}
			// else Do not save the file
			return string.Empty;
		}
	}
}
